import request from '@/utils/request'

//资产数据
export function fundIndex(data : any) {
	return request.get({ url: '/finance/index', data }, { isAuth: true })
}
//充值
export function recharge(data : any) {
	return request.post({ url: '/recharge/recharge', data }, { isAuth: true })
}
// 充值方式
export function rechargeMethod() {
	return request.get({ url: '/recharge/method' }, { isAuth: true })
}
// 充值方式详情
export function rechargeMethodDetail(data : any) {
	return request.get({ url: '/recharge/methodDetail', data }, { isAuth: true })
}
// 充值配置
export function rechargeConfig() {
	return request.get({ url: '/recharge/config' }, { isAuth: true })
}
// 常用充值金额
export function commonMoney() {
	return request.get({ url: '/recharge/commonMoney' }, { isAuth: true })
}
//充值记录
export function rechargeRecordLists(data : any) {
	return request.get({ url: '/finance/rechargeRecordLists', data }, { isAuth: true })
}
//充值记录详情
export function rechargeRecordDetail(data : any) {
	return request.get({ url: '/finance/rechargeRecordDetail', data }, { isAuth: true })
}
// 充值方式详情
export function rechargeMethodDetailUdun(data : any) {
	return request.get({ url: '/recharge/methodDetailUdun', data }, { isAuth: true })
}
// 充值方式详情
export function rechargeMethodDetailTron(data : any) {
	return request.get({ url: '/recharge/methodDetailTron', data }, { isAuth: true })
}
// 充值方式详情
export function rechargeMethodDetailAddress(data : any) {
	return request.get({ url: '/recharge/methodDetailAddress', data }, { isAuth: true })
}
//获取提现方式
export function getWithdrawMethod() {
	return request.get({ url: '/finance/withdrawMethod' }, { isAuth: true })
}
//获取提现钱包
export function getWithdrawWallet() {
	return request.get({ url: '/finance/withdrawWallet' }, { isAuth: true })
}
//绑定提现钱包
export function withdrawWalletAdd(data : any) {
	return request.post({ url: '/finance/withdrawWalletAdd', data }, { isAuth: true })
}
//获取提现银行
export function getWithdrawBanks() {
	return request.get({ url: '/finance/withdrawBanks' }, { isAuth: true })
}
//提现配置
export function withdrawConfig(data : any) {
	return request.get({ url: '/finance/withdrawConfig', data }, { isAuth: true })
}
//提现
export function withdraw(data : any) {
	return request.post({ url: '/finance/withdraw', data }, { isAuth: true })
}
//提现记录
export function withdrawRecordLists(data : any) {
	return request.get({ url: '/finance/withdrawRecordLists', data }, { isAuth: true })
}
//提现记录详情
export function withdrawRecordDetail(data : any) {
	return request.get({ url: '/finance/withdrawRecordDetail', data }, { isAuth: true })
}

//资金明细
export function financeLists(data : any) {
	return request.get({ url: '/finance/lists', data }, { isAuth: true })
}
//资金明细详情
export function financeDetail(data : any) {
	return request.get({ url: '/finance/detail', data }, { isAuth: true })
}
//用户转账详情
export function transferIndex() {
	return request.get({ url: '/finance/transferIndex' }, { isAuth: true })
}
//转账
export function transfer(data : any) {
	return request.post({ url: '/finance/transfer', data }, { isAuth: true })
}
//转账明细
export function transferRecordLists(data : any) {
	return request.get({ url: '/finance/transferRecordLists', data }, { isAuth: true })
}
